@mixin app-agency-detail-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
    
  
    app-agency-detail {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }  
  
    .txtuppercase {
      text-transform:uppercase
    }
  
    .agency-detail {
      margin-top: 25px !important;
      display: flex;
      flex-direction: column;
      padding: 10px;
      background-color: mat-color($primary, 50);
      
      
      .sp-main-card  {
        display: flex;
        flex-direction: column;
        padding: 15px;
        background-color: mat-color($primary, 50);
        
          .cAgencySite-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            padding: 30px;
            
            .cAgencySite-containter {
              width: 100%;
              margin-right: 3px;
              margin-left: 3px;
              margin-top: 3px;
              padding-left: 5px;
              padding-right: 5px;
              
              label
              {
                padding-left: 10px;
                padding-right: 10px;
              }
              button
              {
                padding-left: 10px;
                padding-right: 10px;
                width:100px;
              }
            }
          
          
          
          
        }
      }
    }
  }